#! /usr/bin/env python

files_to_change = ['html/_point_cloud_a_p_i_8h.html',
                   'html/classes.html']

for ftc in files_to_change:
	lines = []

	with open(ftc, 'r') as f:
		for line in f:
			# Remove "Class Hierarchy", "File Members", "Compound Members" from these pages
			if '<a class="qindex" href="classes.html">Alphabetical Class Index</a>' in line:
				line = '<a class="qindex" href="classes.html">Alphabetical Class Index</a> &nbsp; <a class="qindex" href="_point_cloud_a_p_i_8h.html">All Fields</a> &nbsp; </center>'
			
			# Change "PointCloudAPI.h File Reference" to "Point Cloud API Reference"
			if '<title>PointCloudAPI.h File Reference</title>' in line:
				line = '<title>Point Cloud API File Reference</title>'
			if '<div class="title">PointCloudAPI.h File Reference</div>  </div>' in line:
				line = '<div class="title">Point Cloud API Reference</div>  </div>'
			
			lines.append(line)

	with open(ftc, 'w') as f:
		f.writelines(lines)
